<template>
  <v-container>

    <h1>Authenticate Director</h1>
    <p>Authentication for session <code>{{ sessionId }}</code> in progress...</p>

  </v-container>
</template>

<script lang="ts">
import {Component, Prop, Vue} from "vue-property-decorator";
import {authApi} from "@/api/auth";
import router from "@/router/index";

@Component({})
export default class DirectorAuthentication extends Vue {
  @Prop({required: true}) readonly sessionId!: string;

  token = '';

  async mounted() {
    authApi.getJwtFromSessionId(this.sessionId)
        .then(response => {
          router.push({name: 'director home'});
        });
  }

}
</script>

<style scoped>

</style>